/*************************
press
*************************/

.press-wrapper{
    display: grid;
    gap: 50px;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    justify-content: center;
    padding-bottom: 60px;
    margin: 0 50px;
    margin-top: 50px;
}

.press-img{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 150px;
    margin: auto;
}

.press-img img{
   max-height: 100%;
   max-width: 100%;
   border-radius: 5px;
}

.press-txt hr{
    margin: 5px 0;
}

.press-box:hover{
    opacity: 0.5;
}

.title-read{
    font-size: 17px;
    font-weight: 600;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    margin-top: 15px;
}

.txt-read{
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    overflow: hidden;
}

.press-info{
    margin-top: 20px;
    text-align: right;
}

/*************************
press-detail
*************************/

.press-detail-wrapper{
    display: flex;
    max-width: 800px;
    width: 100%;
    margin: auto ;
}

.press-detail-img{
    margin-top: 10px;
    width: 40%;
}

.press-detail-img img{
    width: 100%;
}

.press-detail-txt{
    width: 60%;
    margin: 0 20px;
}

.press-detail-info{
    margin: 10px 0;
    text-align: right;
}

.return{
    margin: 50px 0;
    text-align: center;
}

.return a{
    padding: 7px 50px 7px;
    text-decoration: none;
}

.return a:hover {
    color: white;
    text-decoration: none;
}

.contact-btn{
    text-align: center;
}

.contact-btn a {
    border: 1px solid #000;
    padding: 10px 20px 10px 40px;
    border-radius: 30px;
    position: relative
}

.contact-btn a:hover {
    color: #000;
}

.contact-btn a > img {
    width: 20px;
    position: absolute;
    left: 17px;
}

.sns-img-wrapper img {
    width: 30px;
    margin: 20px 1px 0;
}

.pressrelease-img{
    position: sticky;
    top: 144px;
    background: #fff;
    z-index: 2;
    padding: 0 50px;
    padding-bottom: 10px;
    transition: 0.5s;
}

/* animation */

.position--up{
    transition: 0.5s;
    top: 70px;
}

.position--unset{
    transition: 0.5s;
    top: -80px;
}

@media screen and (max-width: 450px) {
    .pressrelease-img{
        padding: 0 25px;
    }
}